Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider
Interface VfsComponentContext

public interface VfsComponentContext

Allows VFS components to access the services they need, such as the file replicator. A VFS component is supplied with a context as part of its initialisation.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch
See Also:
  `VfsComponent.setContext(org.apache.commons.vfs.provider.VfsComponentContext)`

Method Summary
`FileSystemManager` | `getFileSystemManager()` Returns the filesystem manager for the current context
`FileReplicator` | `getReplicator()` Locates a file replicator for the provider to use.
`TemporaryFileStore` | `getTemporaryFileStore()` Locates a temporary file store for the provider to use.
`FileName` | `parseURI(String uri)`
`FileObject` | `resolveFile(FileObject baseFile, String name, FileSystemOptions fileSystemOptions)` Locate a file by name.
`FileObject` | `resolveFile(String name, FileSystemOptions fileSystemOptions)` Locate a file by name.
`FileObject` | `toFileObject(File file)` Returns a `FileObject` for a local file.

Method Detail

### resolveFile

    public FileObject resolveFile(FileObject baseFile,
                                  String name,
                                  FileSystemOptions fileSystemOptions)
                           throws FileSystemException

  Locate a file by name. See `FileSystemManager.resolveFile(FileObject, String)` for a description of how this works.

  Throws:
    `FileSystemException`

### resolveFile

    public FileObject resolveFile(String name,
                                  FileSystemOptions fileSystemOptions)
                           throws FileSystemException

  Locate a file by name. See `FileSystemManager.resolveFile( String)` for a description of how this works.

  Throws:
    `FileSystemException`

### parseURI

    public FileName parseURI(String uri)
                      throws FileSystemException

  Throws:
    `FileSystemException`

### getReplicator

    public FileReplicator getReplicator()
                                 throws FileSystemException

  Locates a file replicator for the provider to use.

  Throws:
    `FileSystemException`

### getTemporaryFileStore

    public TemporaryFileStore getTemporaryFileStore()
                                             throws FileSystemException

  Locates a temporary file store for the provider to use.

  Throws:
    `FileSystemException`

### toFileObject

    public FileObject toFileObject(File file)
                            throws FileSystemException

  Returns a `FileObject` for a local file.

  Throws:
    `FileSystemException`

### getFileSystemManager

    public FileSystemManager getFileSystemManager()

  Returns the filesystem manager for the current context

  Returns:
    the filesystem manager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.